



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>如何利用CSS代码使图片和文字在同一行显示且对齐</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">如何利用CSS代码使图片和文字在同一行显示且对齐</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-03-24 04:20:05 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p>对于初学<a href="http://www.100sucai.com/code/20.html" rel="external nofollow noreferrer">css</a>的新手朋友来说，经常会遇到这样一个问题，当文字和图片出现在同一行或者同一个div里面的时候，在浏览器中运行出来的显示效果往往是在不同的行，那么，我们怎么才能利用<a href="http://www.100sucai.com" rel="external nofollow noreferrer">CSS代码</a>使图片和文字在同一行显示且对齐呢？</p>
<p><img referrerpolicy="no-referrer"src="http://www.mahaixiang.cn/uploads/allimg/1505/1-1505051250025X.jpg" /></p>
<p>对于这种现象，方法有3种：</p>
<p>1、通过添加css的&ldquo;vertical-align:middle;&rdquo;；</p>
<p>2、如果图片是背景图片，可以在css中设置背景图片，然后设置文字的padding属性；</p>
<p>3、把文字和图片分别放入不同的div中。</p>
<p>经过多次的测试，上面三种方法都可以让图片和文字在同一行显示，下面马海祥就用实例来为大家操作一下：</p>
<p><strong>1、在css中给div添加上&ldquo;vertical-align:middle&rdquo;属性</strong></p>
<p>有些朋友会发现，如果一行内容中有图片有文字的话，文字往往会自动的底部对齐，影响美观，那如何让它们相对于<a href="http://www.100sucai.com/code/31.html" rel="external nofollow noreferrer">垂直居中</a>呢，很简单，就是在图片和文字所在的行中添加<a href="http://www.100sucai.com/code/13.html" rel="external nofollow noreferrer">CSS属性</a>：vertical-align:middle；这样，它们在同一行就会垂直居中对齐了。</p>
<p>在此，马海祥就用&ldquo;注册、登陆、找回密码&rdquo;这个在实际运用中经常遇到的情况还做实例，把&ldquo;注册&rdquo;和&ldquo;登陆&rdquo;做成图片，&ldquo;找回密码&rdquo;设置成文字。</p>
<p><strong>html代码如下：</strong></p>
<blockquote><p>&lt;div id="denglu"&gt;<br />　　&lt;img src="reg.gif"&gt;<br />　　&lt;img src="login.gif"&gt;<br />　　&lt;a href="#"&gt;找回密码&lt;/a&gt;<br />　　&lt;/div&gt;</p></blockquote>
<p><strong>css代码如下:</strong></p>
<blockquote><p>#denglu *{<br />　　vertical-align:middle; /* 居中对齐， */<br />　　font-size:14px;<br />　　}</p></blockquote>
<p>在浏览器中运行后的效果图如下：</p>
<p><img referrerpolicy="no-referrer"src="http://www.mahaixiang.cn/uploads/allimg/1505/1-150505125222151.jpg" /></p>
<p>使用css的&ldquo;vertical-align:middle&rdquo;属性让图片和文字在同一行对齐是一种非常常用的方法，也是比较利于<a href="http://www.100sucai.com/code/63.html" rel="external nofollow noreferrer">代码优化</a>和精简的一种方法（具体可查看马海祥博客《网站CSS代码优化的7个原则》的相关介绍），希望大家可以掌握。</p>
<p><strong>2、把图片设置为背景图片</strong></p>
<p>如果我们的图片本身是一个背景图片的话，可以在css中使用&ldquo;background&rdquo;来设置该图片，然后设置文字的padding属性就可以使他们在同一行显示了。</p>
<p><strong>html代码如下：</strong></p>
<blockquote><p>&lt;div id="denglu"&gt;<br />　　&lt;div id="zhaohuimima"&gt;&lt;a href="#"&gt;找回密码&lt;/a&gt;&lt;/div&gt;<br />　　&lt;/div&gt;</p></blockquote>
<p><strong>css代码如下：</strong></p>
<blockquote><p>#denglu {<br />　　background:url(login.gif) no-repeat left center;<br />　　}<br />　　#zhaohuimima{<br />　　font-size:14px;<br />　　padding-left:50px;<br />　　}</p></blockquote>
<p>我们在css中设置了背景图片，然后又设置了文字的padding-left属性，这样，图片和文字就在同一行显示了，运行结果就不切图了，你可以自己试一下。</p>
<p><strong>3、把文字和图片分别放入不同的div中</strong></p>
<p>下面说下最后一种方法，分别把图片和文字放入不同的div中，然后用&ldquo;margin&rdquo;属性进行定位，就可以使他们显示在同一行了。</p>
<p><strong>html代码如下：</strong></p>
<blockquote><p>&lt;div id="denglu"&gt;<br />　　&lt;div id="zhuce"&gt; &lt;img src="reg.gif"/&gt;<br />　　&lt;div id="zhaohuimima"&gt;&lt;a href="#"&gt;找回密码&lt;/a&gt;&lt;/div&gt;<br />　　&lt;/div&gt;</p></blockquote>
<p><strong>css代码如下：</strong></p>
<blockquote><p>#zhaohuimima{<br />　　font-size:14px;<br />　　margin-top:-16px;<br />　　padding-left:50px;<br />　　}</p></blockquote>
<p>在浏览器中运行以后，你会发现，这个方法也可以让图片和文字在同一行显示，但是看起来好像麻烦了一点，所以个人还是比较推荐第一种方法的。</p>
<p>转自：http://www.mahaixiang.cn/css/1149.html</p>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/rqlm15e9.html">多值（in），范围值（between&period;&period;and）</a>
		</li>
						<li><a href="https://www.batexi.com/a/390kwgnq.html">转如何分析解决Android ANR</a>
		</li>
						<li><a href="https://www.batexi.com/a/oqvpplyq.html">Regionals 2012 &colon;&colon; Chengdu</a>
		</li>
						<li><a href="https://www.batexi.com/a/1q2o2xl9.html">matlab中findstr&comma;strfind&comma;strcmp&comma;strncmp区别与联系</a>
		</li>
						<li><a href="https://www.batexi.com/a/5qxpg7j9.html">Spring 作用域 scope</a>
		</li>
						<li><a href="https://www.batexi.com/a/jqd61rx8.html">sql server 2008查询窗口怎么显示行数</a>
		</li>
						<li><a href="https://www.batexi.com/a/qn112238.html">poj1244Slots of Fun</a>
		</li>
						<li><a href="https://www.batexi.com/a/qydjm22q.html">微信返回上一页，页面中的AJAX的请求，对Get请求无效的解决办法</a>
		</li>
						<li><a href="https://www.batexi.com/a/qnj1p228.html">Redis集群明细文档（转）</a>
		</li>
						<li><a href="https://www.batexi.com/a/qv13jlyq.html">Go Deeper</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4z06659.html">【MySQL 读书笔记】当我们在执行该查询语句的时候我们在干什么</a>
		</li>
						<li><a href="https://www.batexi.com/a/8kpyld79.html">【20190415】JavaScript-事件流与stopPropagation&lpar;&rpar;、stopImmediatePropagation&lpar;&rpar;的误区解析</a>
		</li>
						<li><a href="https://www.batexi.com/a/93wowkgq.html">JS高程关于ajax的学习笔记</a>
		</li>
						<li><a href="https://www.batexi.com/a/9j1vnjw9.html">django中的ORM介绍和字段及字段参数</a>
		</li>
						<li><a href="https://www.batexi.com/a/9604vrv9.html">【BZOJ2159】Crash的文明世界</a>
		</li>
						<li><a href="https://www.batexi.com/a/q25vm6vq.html">assert&lowbar;param函数的用法</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1r3e6z8.html">php路径常量</a>
		</li>
						<li><a href="https://www.batexi.com/a/960v1v39.html">golang判断文件&sol;文件夹是否存在</a>
		</li>
						<li><a href="https://www.batexi.com/a/8zymj419.html">Neural Network Basics</a>
		</li>
						<li><a href="https://www.batexi.com/a/9r5ov4rq.html">bower 安装后 jade 引用404问题</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/9pjwyrz9.html">htmlparser日记</a>
			</li>
						<li><a href="https://www.batexi.com/a/qlml26k9.html">http 303 307 302 状态码理解</a>
			</li>
						<li><a href="https://www.batexi.com/a/qlmlrek9.html">查看mysql表结构的几种方法</a>
			</li>
						<li><a href="https://www.batexi.com/a/8e14g0e9.html">C&plus;&plus; primer 练习9&period;49</a>
			</li>
						<li><a href="https://www.batexi.com/a/8k1jem69.html">poj 1007 &lpar;nyoj 160&rpar; DNA Sorting</a>
			</li>
						<li><a href="https://www.batexi.com/a/q2w5ovlq.html">js对象3--工厂方法加深引出原型--杂志</a>
			</li>
						<li><a href="https://www.batexi.com/a/q1zr0629.html">使用Spring的Property文件存储测试数据 － 添加测试数据</a>
			</li>
						<li><a href="https://www.batexi.com/a/9j01wo4q.html">POJ1002&lowbar;487-3279&lowbar;C&plus;&plus;</a>
			</li>
						<li><a href="https://www.batexi.com/a/8z1ymox9.html">TortoiseSVN期望文件系统格式在&OpenCurlyDoubleQuote;1&rdquo;到&OpenCurlyDoubleQuote;6&rdquo;之间&semi;发现格式&OpenCurlyDoubleQuote;7&rdquo;</a>
			</li>
						<li><a href="https://www.batexi.com/a/q7mo4kgq.html">NopCommerce 3&period;80框架研究（一） 数据访问与持久化</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
